package cn.iocoder.yudao.module.jx.service.impl;

import cn.iocoder.yudao.module.jx.domain.DriveCarBind;
import cn.iocoder.yudao.module.jx.mapper.DriveCarBindMapper;
import cn.iocoder.yudao.module.jx.service.IDriveCarBindService;
import cn.iocoder.yudao.module.jx.utils.DateUtils;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 车辆绑定（教练）Service业务层处理
 *
 * @author ruoyi
 * @date 2024-04-01
 */
@Service
public class DriveCarBindServiceImpl implements IDriveCarBindService
{
    @Autowired
    private DriveCarBindMapper driveCarBindMapper;

    /**
     * 查询车辆绑定（教练）
     *
     * @param id 车辆绑定（教练）主键
     * @return 车辆绑定（教练）
     */
    @Override
    public DriveCarBind selectDriveCarBindById(Long id)
    {
        return driveCarBindMapper.selectDriveCarBindById(id);
    }

    /**
     * 查询车辆绑定（教练）列表
     *
     * @param driveCarBind 车辆绑定（教练）
     * @return 车辆绑定（教练）
     */
    @Override
    public IPage<DriveCarBind> selectDriveCarBindList(DriveCarBind driveCarBind, Page<DriveCarBind> page)
    {
        return driveCarBindMapper.selectDriveCarBindList(driveCarBind, page);
    }

    /**
     * 新增车辆绑定（教练）
     *
     * @param driveCarBind 车辆绑定（教练）
     * @return 结果
     */
    @Override
    public int insertDriveCarBind(DriveCarBind driveCarBind)
    {
        return driveCarBindMapper.insertDriveCarBind(driveCarBind);
    }

    /**
     * 修改车辆绑定（教练）
     *
     * @param driveCarBind 车辆绑定（教练）
     * @return 结果
     */
    @Override
    public int updateDriveCarBind(DriveCarBind driveCarBind)
    {
        //driveCarBind.setUpdateTime(DateUtils.getNowDate());
        return driveCarBindMapper.updateDriveCarBind(driveCarBind);
    }

    /**
     * 批量删除车辆绑定（教练）
     *
     * @param ids 需要删除的车辆绑定（教练）主键
     * @return 结果
     */
    @Override
    public int deleteDriveCarBindByIds(Long[] ids)
    {
        return driveCarBindMapper.deleteDriveCarBindByIds(ids);
    }

    /**
     * 删除车辆绑定（教练）信息
     *
     * @param id 车辆绑定（教练）主键
     * @return 结果
     */
    @Override
    public int deleteDriveCarBindById(Long id)
    {
        return driveCarBindMapper.deleteDriveCarBindById(id);
    }
}
